Get a vessel using the id
curl --request GET \
--url https://api.terminal49.com/v2/vessels/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/vessels/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/vessels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.terminal49.com/v2/vessels/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.terminal49.com/v2/vessels/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.terminal49.com/v2/vessels/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.terminal49.com/v2/vessels/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vessel",
"attributes": {
"name": "Ever Given",
"imo": "9811000",
"mmsi": "353136000",
"latitude": 25.29845,
"longitude": 121.217,
"nautical_speed_knots": 90,
"navigational_heading_degrees": 194,
"position_timestamp": "2023-07-28T14:01:37Z",
"positions": [
{
"latitude": 1.477285,
"longitude": 104.535533333,
"heading": 51,
"timestamp": "2025-05-23T19:14:22Z",
"estimated": false
}
]
}
}
}{
"errors": [
{
"detail": "You are not allowed to perform this action"
}
]
}{
"errors": [
{
"status": "403",
"source": {},
"title": "Forbidden",
"detail": "Routing data feature is not enabled for this account"
}
]
}{
"errors": [
{
"status": "404",
"title": "Not Found"
}
]
}Vessels
Get a vessel by ID
Retrieve a vessel on one of your actively tracked shipments by its Terminal49 vessel ID, including name, IMO number, and current position. Requires Routing Data.
GET
/
vessels
/
{id}
Get a vessel using the id
curl --request GET \
--url https://api.terminal49.com/v2/vessels/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/vessels/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/vessels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.terminal49.com/v2/vessels/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.terminal49.com/v2/vessels/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.terminal49.com/v2/vessels/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.terminal49.com/v2/vessels/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vessel",
"attributes": {
"name": "Ever Given",
"imo": "9811000",
"mmsi": "353136000",
"latitude": 25.29845,
"longitude": 121.217,
"nautical_speed_knots": 90,
"navigational_heading_degrees": 194,
"position_timestamp": "2023-07-28T14:01:37Z",
"positions": [
{
"latitude": 1.477285,
"longitude": 104.535533333,
"heading": 51,
"timestamp": "2025-05-23T19:14:22Z",
"estimated": false
}
]
}
}
}{
"errors": [
{
"detail": "You are not allowed to perform this action"
}
]
}{
"errors": [
{
"status": "403",
"source": {},
"title": "Forbidden",
"detail": "Routing data feature is not enabled for this account"
}
]
}{
"errors": [
{
"status": "404",
"title": "Not Found"
}
]
}This is a paid Routing Data endpoint. It returns only vessels on your account’s actively tracked shipments. See Vessel data access for the
401, 403, and 404 responses.Authorizations
Query Parameters
Was this page helpful?